package io.renren.modules.app.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.service.IService;
import com.github.pagehelper.PageInfo;

import io.renren.modules.app.entity.DhbmyjEntity;
import io.renren.modules.app.entity.XlkEntity;
import io.renren.modules.app.entity.XzdyFwxxSdEntity;
import io.renren.modules.app.entity.YwpzEntity;

/**
 * 个人维修资金复核
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-03-22 09:53:01
 */
public interface GrwxzjfhService extends IService<YwpzEntity> {

	/**
	 * 分页模糊查询
	 * 
	 * @param pageNum
	 * @param pageSize
	 * @param ywpzEntity
	 * @return
	 */
	PageInfo<YwpzEntity> queryByPage(Integer pageNum, Integer pageSize, YwpzEntity ywpzEntity);

	// 查看按钮
	XzdyFwxxSdEntity selectgrwxFh(String fwbm);

	// 单个或者批量复核
	void updateFh(List<DhbmyjEntity> dhyjs);

	// 单个或者批量取消复核
	void updateQxfh(List<DhbmyjEntity> dhyjs);

	// 小区下拉框
	List<XlkEntity> selectXqxlk();

	// 下拉框联动(根据小区匹配下拉框相对应得项目)
	List<XlkEntity> selectdjld(Map<String, String> map);
	

}
